Bug 1018224 - [abrt] claws-mail-3.9.2-3.fc18: libX11 -> _int_malloc: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
[abrt] claws-mail-3.9.2-3.fc18: libX11 -> _int_malloc: Process /usr/bin/claws...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: claws-mail (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
abrt_hash:1d588b2b42f4820aaf17879d251...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 09:48 EDT by casper
Modified: 2014-01-20 06:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-20 06:32:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (82.23 KB, text/plain)
2013-10-11 09:48 EDT, casper
no flags Details
File: cgroup (129 bytes, text/plain)
2013-10-11 09:48 EDT, casper
no flags Details
File: core_backtrace (8.83 KB, text/plain)
2013-10-11 09:48 EDT, casper
no flags Details
File: dso_list (14.00 KB, text/plain)
2013-10-11 09:48 EDT, casper
no flags Details
File: environ (1.57 KB, text/plain)
2013-10-11 09:48 EDT, casper
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-11 09:48 EDT, casper
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-11 09:48 EDT, casper
no flags Details
File: maps (42.84 KB, text/plain)
2013-10-11 09:48 EDT, casper
no flags Details
File: open_fds (1.23 KB, text/plain)
2013-10-11 09:48 EDT, casper
no flags Details
File: proc_pid_status (804 bytes, text/plain)
2013-10-11 09:48 EDT, casper
no flags Details
File: var_log_messages (300 bytes, text/plain)
2013-10-11 09:48 EDT, casper
no flags Details

  None (edit)
Description casper 2013-10-11 09:48:18 EDT
Version-Release number of selected component:
claws-mail-3.9.2-3.fc18

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/claws-mail
crash_function: _int_malloc
executable:     /usr/bin/claws-mail
kernel:         3.10.13-101.fc18.i686.PAE
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _int_malloc at /lib/libc.so.6
 #1 malloc at /lib/libc.so.6
 #2 _XkbInitReadBuffer at XKBRdBuf.c:43
 #3 _XkbReadGetMapReply at XKBGetMap.c:507
 #4 _XkbHandleGetMapReply at XKBGetMap.c:546
 #5 XkbGetUpdatedMap at XKBGetMap.c:563
 #6 XkbGetMap at XKBGetMap.c:582
 #7 _XkbReloadDpy at XKBBind.c:550
 #9 XRefreshKeyboardMapping at XKBBind.c:403
 #10 gdk_event_translate at /lib/libgdk-x11-2.0.so.0
Comment 1 casper 2013-10-11 09:48:23 EDT
Created attachment 811120 [details]
File: backtrace
Comment 2 casper 2013-10-11 09:48:26 EDT
Created attachment 811121 [details]
File: cgroup
Comment 3 casper 2013-10-11 09:48:30 EDT
Created attachment 811122 [details]
File: core_backtrace
Comment 4 casper 2013-10-11 09:48:35 EDT
Created attachment 811123 [details]
File: dso_list
Comment 5 casper 2013-10-11 09:48:38 EDT
Created attachment 811124 [details]
File: environ
Comment 6 casper 2013-10-11 09:48:42 EDT
Created attachment 811125 [details]
File: exploitable
Comment 7 casper 2013-10-11 09:48:45 EDT
Created attachment 811126 [details]
File: limits
Comment 8 casper 2013-10-11 09:48:49 EDT
Created attachment 811127 [details]
File: maps
Comment 9 casper 2013-10-11 09:48:52 EDT
Created attachment 811128 [details]
File: open_fds
Comment 10 casper 2013-10-11 09:48:56 EDT
Created attachment 811129 [details]
File: proc_pid_status
Comment 11 casper 2013-10-11 09:48:59 EDT
Created attachment 811131 [details]
File: var_log_messages
Comment 12 Michael Schwendt 2013-10-11 10:58:04 EDT
> Program terminated with signal 11, Segmentation fault.
> #0  0x4aad4bcf in _int_malloc () from /lib/libc.so.6

For crashes in libc memory management (here malloc) you always need to give some background about whether the problem is reproducible, how often it happens, what you've done prior to the crash, and so on.

The rest of the backtrace is not related to Claws Mail, but the memory corruption has taken down libX11.

> #3  0x4b07d568 in _XkbReadGetMapReply (dpy=dpy@entry=0x9ebe400, 
> rep=rep@entry=0xbf8e80b8, xkb=xkb@entry=0xa1de9f8, 
> nread_rtrn=nread_rtrn@entry=0x0) at XKBGetMap.c:507
>        buf = {error = 0, size = 4992,
> start = 0x18 <Address 0x18 out of bounds>, data = 0x0}
Comment 13 Fedora End Of Life 2013-12-21 09:39:54 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Michael Schwendt 2014-01-20 06:32:06 EST
We really need a bit of background in addition to backtraces, or else our hands are tied. Upstream also would want to know how to reproduce a problem or whether it is only a sporadic crash and a side-effect.

Note You need to log in before you can comment on or make changes to this bug.